> For the complete documentation index, see [llms.txt](https://developer.harness.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.harness.io/api-reference/software-delivery-agent-apis/code-repository/status-checks.md).

# Status Checks

## GET /checks/recent

> List recent status check for acc, org or proj

```json
{"openapi":"3.0.0","info":{"title":"API Specification","version":"1.111.0"},"servers":[{"url":"gateway/code/api/v1"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"scheme":"bearer","type":"http"}},"schemas":{"UsererrorError":{"properties":{"message":{"type":"string"},"values":{"additionalProperties":{},"type":"object"}},"type":"object"}}},"paths":{"/checks/recent":{"get":{"operationId":"listStatusCheckRecentSpace","parameters":[{"description":"Account Identifier for the Entity.","in":"query","name":"accountIdentifier","required":true,"schema":{"type":"string"}},{"description":"Organization Identifier for the Entity.","in":"query","name":"orgIdentifier","required":false,"schema":{"type":"string"}},{"description":"Project Identifier for the Entity.","in":"query","name":"projectIdentifier","required":false,"schema":{"type":"string"}},{"description":"The substring which is used to filter the status checks by their UID.","in":"query","name":"query","required":false,"schema":{"type":"string"}},{"description":"The timestamp (in Unix time millis) since the status checks have been run.","in":"query","name":"since","required":false,"schema":{"type":"integer"}},{"description":"The result should include entities from child spaces.","in":"query","name":"recursive","required":false,"schema":{"default":false,"type":"boolean"}}],"responses":{"200":{"content":{"application/json":{"schema":{"items":{"type":"string"},"type":"array"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Bad Request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Forbidden"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Internal Server Error"}},"summary":"List recent status check for acc, org or proj","tags":["status_checks"]}}}}
```

## GET /repos/{repo\_identifier}/checks/commits/{commit\_sha}

> List status check results

```json
{"openapi":"3.0.0","info":{"title":"API Specification","version":"1.111.0"},"servers":[{"url":"gateway/code/api/v1"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"scheme":"bearer","type":"http"}},"schemas":{"TypesCheck":{"properties":{"bypassed_by":{"$ref":"#/components/schemas/TypesPrincipalInfo"},"created":{"type":"integer"},"ended":{"type":"integer"},"id":{"type":"integer"},"identifier":{"type":"string"},"link":{"type":"string"},"metadata":{},"payload":{"$ref":"#/components/schemas/TypesCheckPayload"},"reported_by":{"$ref":"#/components/schemas/TypesPrincipalInfo"},"started":{"type":"integer"},"status":{"$ref":"#/components/schemas/EnumCheckStatus"},"summary":{"type":"string"},"updated":{"type":"integer"}},"type":"object"},"TypesPrincipalInfo":{"nullable":true,"properties":{"created":{"type":"integer"},"display_name":{"type":"string"},"email":{"type":"string"},"id":{"type":"integer"},"type":{"$ref":"#/components/schemas/EnumPrincipalType"},"uid":{"type":"string"},"updated":{"type":"integer"}},"type":"object"},"EnumPrincipalType":{"enum":["service","serviceaccount","user"],"type":"string"},"TypesCheckPayload":{"properties":{"data":{},"kind":{"$ref":"#/components/schemas/EnumCheckPayloadKind"},"version":{"type":"string"}},"type":"object"},"EnumCheckPayloadKind":{"enum":["","markdown","pipeline","raw"],"type":"string"},"EnumCheckStatus":{"enum":["error","failure","failure_ignored","pending","running","success"],"type":"string"},"UsererrorError":{"properties":{"message":{"type":"string"},"values":{"additionalProperties":{},"type":"object"}},"type":"object"}}},"paths":{"/repos/{repo_identifier}/checks/commits/{commit_sha}":{"get":{"operationId":"listStatusCheckResults","parameters":[{"description":"Account Identifier for the Entity.","in":"query","name":"accountIdentifier","required":true,"schema":{"type":"string"}},{"description":"Organization Identifier for the Entity.","in":"query","name":"orgIdentifier","required":false,"schema":{"type":"string"}},{"description":"Project Identifier for the Entity.","in":"query","name":"projectIdentifier","required":false,"schema":{"type":"string"}},{"description":"The page to return.","in":"query","name":"page","required":false,"schema":{"default":1,"minimum":1,"type":"integer"}},{"description":"The maximum number of results to return.","in":"query","name":"limit","required":false,"schema":{"default":30,"maximum":100,"minimum":1,"type":"integer"}},{"description":"The substring which is used to filter the status checks by their UID.","in":"query","name":"query","required":false,"schema":{"type":"string"}},{"in":"path","name":"repo_identifier","required":true,"schema":{"type":"string"}},{"in":"path","name":"commit_sha","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/TypesCheck"},"type":"array"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Bad Request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Forbidden"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Internal Server Error"}},"summary":"List status check results","tags":["status_checks"]}}}}
```

## PUT /repos/{repo\_identifier}/checks/commits/{commit\_sha}

> Report status check results

```json
{"openapi":"3.0.0","info":{"title":"API Specification","version":"1.111.0"},"servers":[{"url":"gateway/code/api/v1"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"scheme":"bearer","type":"http"}},"schemas":{"EnumPrincipalType":{"enum":["service","serviceaccount","user"],"type":"string"},"TypesCheckPayload":{"properties":{"data":{},"kind":{"$ref":"#/components/schemas/EnumCheckPayloadKind"},"version":{"type":"string"}},"type":"object"},"EnumCheckPayloadKind":{"enum":["","markdown","pipeline","raw"],"type":"string"},"EnumCheckStatus":{"enum":["error","failure","failure_ignored","pending","running","success"],"type":"string"},"TypesCheck":{"properties":{"bypassed_by":{"$ref":"#/components/schemas/TypesPrincipalInfo"},"created":{"type":"integer"},"ended":{"type":"integer"},"id":{"type":"integer"},"identifier":{"type":"string"},"link":{"type":"string"},"metadata":{},"payload":{"$ref":"#/components/schemas/TypesCheckPayload"},"reported_by":{"$ref":"#/components/schemas/TypesPrincipalInfo"},"started":{"type":"integer"},"status":{"$ref":"#/components/schemas/EnumCheckStatus"},"summary":{"type":"string"},"updated":{"type":"integer"}},"type":"object"},"TypesPrincipalInfo":{"nullable":true,"properties":{"created":{"type":"integer"},"display_name":{"type":"string"},"email":{"type":"string"},"id":{"type":"integer"},"type":{"$ref":"#/components/schemas/EnumPrincipalType"},"uid":{"type":"string"},"updated":{"type":"integer"}},"type":"object"},"UsererrorError":{"properties":{"message":{"type":"string"},"values":{"additionalProperties":{},"type":"object"}},"type":"object"}}},"paths":{"/repos/{repo_identifier}/checks/commits/{commit_sha}":{"put":{"operationId":"reportStatusCheckResults","parameters":[{"description":"Account Identifier for the Entity.","in":"query","name":"accountIdentifier","required":true,"schema":{"type":"string"}},{"description":"Organization Identifier for the Entity.","in":"query","name":"orgIdentifier","required":false,"schema":{"type":"string"}},{"description":"Project Identifier for the Entity.","in":"query","name":"projectIdentifier","required":false,"schema":{"type":"string"}},{"in":"path","name":"repo_identifier","required":true,"schema":{"type":"string"}},{"in":"path","name":"commit_sha","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"properties":{"bypassed_by":{"nullable":true,"type":"integer"},"bypassed_by_type":{"$ref":"#/components/schemas/EnumPrincipalType"},"bypassed_by_uid":{"type":"string"},"check_uid":{"deprecated":true,"type":"string"},"ended":{"type":"integer"},"identifier":{"type":"string"},"link":{"type":"string"},"payload":{"$ref":"#/components/schemas/TypesCheckPayload"},"started":{"type":"integer"},"status":{"$ref":"#/components/schemas/EnumCheckStatus"},"summary":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TypesCheck"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Bad Request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Forbidden"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Internal Server Error"}},"summary":"Report status check results","tags":["status_checks"]}}}}
```

## GET /repos/{repo\_identifier}/checks/recent

> List recent status check

```json
{"openapi":"3.0.0","info":{"title":"API Specification","version":"1.111.0"},"servers":[{"url":"gateway/code/api/v1"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"scheme":"bearer","type":"http"}},"schemas":{"UsererrorError":{"properties":{"message":{"type":"string"},"values":{"additionalProperties":{},"type":"object"}},"type":"object"}}},"paths":{"/repos/{repo_identifier}/checks/recent":{"get":{"operationId":"listStatusCheckRecent","parameters":[{"description":"Account Identifier for the Entity.","in":"query","name":"accountIdentifier","required":true,"schema":{"type":"string"}},{"description":"Organization Identifier for the Entity.","in":"query","name":"orgIdentifier","required":false,"schema":{"type":"string"}},{"description":"Project Identifier for the Entity.","in":"query","name":"projectIdentifier","required":false,"schema":{"type":"string"}},{"description":"The substring which is used to filter the status checks by their UID.","in":"query","name":"query","required":false,"schema":{"type":"string"}},{"description":"The timestamp (in Unix time millis) since the status checks have been run.","in":"query","name":"since","required":false,"schema":{"type":"integer"}},{"in":"path","name":"repo_identifier","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"items":{"type":"string"},"type":"array"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Bad Request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Forbidden"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Internal Server Error"}},"summary":"List recent status check","tags":["status_checks"]}}}}
```
